package ch03_strings.solutions;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class Ex04_VowelsReplace
{
    public static void main(String[] args)
    {
        System.out.println(translateVowel("Herzlich willkommen zur Battle-Session", "."));
        System.out.println(translateVowel("Reiseführer", "?"));
        System.out.println(translateVowel("Rasenmäher", "-"));
        System.out.println(translateVowel("Tischtennis", "_"));
        System.out.println(translateVowel("Ratespiel", "_"));
    }

    static String translateVowel(String input, String replacement)
    {
        String inputUpper = input.toUpperCase();

        String result = "";
        for (int i = 0; i < inputUpper.length(); i++)
        {
            char current = inputUpper.charAt(i);
            if (isVowel(current))
                result += replacement;
            else
                result += current;
        }
        return result;
    }

    private static boolean isVowel(char current)
    {
        return "AEIOUÄÖÜ".contains("" + Character.toUpperCase(current));
    }
}
