package ch04_arrays.solutions;

/**
 * Beispielprogramm für den HAPAG-LLOYD-Workshop und das Buch "Einfach Java"
 *
 * @author Michael Inden
 *
 * Copyright 2021 by Michael Inden
 */
public class Ex05_UpsideDown
{
    public static void main(String[] args)
    {
        String[][] sampleValues = { { "ONE" },
                                    { "TWO", "TWO" },
                                    { "THREE", "THREE", "THREE" } };
                                    
        String[][] result = upsideDownV1(sampleValues);
        Ex04_Printr2dArray.print2dStringArray(result);
    }
        
    static String[][] upsideDownV1(String[][] values)
    {
        String[][] result = new String[values.length][];

        int resultPos = 0;
        for (int i = values.length - 1; i >= 0; i--)
        {
            result[resultPos] = values[i];
            resultPos++;
        }
        return result;
    }
}
