package ch05_oo_design.carapp;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
class Car3
{
    String make;

    String color;

    int    ps;

    Car3()
    {
        this("Unbekannt", "Unlackiert", 0);
    }

    Car3(String make, String color, int ps)
    {
        this.make = make;
        this.color = color;
        this.ps = ps;
    }

    public void paintWith(String newColor) {
        this.color = newColor;
    }
    
    public void applyTuningKit()
    {
        this.ps += 150;
    }
    
    @Override
    public String toString()
    {
        return "Marke: " + make + "/ Farbe: " + color + " / PS: " + ps;
    }
}