package ch05_oo_design.solutions;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2020 Michael Inden
 */
public final class Ex04_CounterWithOverflowExample
{
    public static void main(final String[] args)
    {
        final CounterWithOverflow points = new CounterWithOverflow();
    
        for (int i = 0; i < 2021; i++)
            points.increment();
    
        System.out.println("Points: " + points.getValue());
        System.out.println("Bonus-Lifes: " + points.getOverflowCount());
    }

    private Ex04_CounterWithOverflowExample()
    {
    }
}