package ch06_collections.solutions;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class Ex04_RemoveDuplicates
{
    public static void main(String[] args)
    {
        System.out.println(removeDuplicates("ABC_ABCD_ABCDE"));
    }

    static List<String> removeDuplicates(String input)
    {
        List<String> result = new ArrayList<>();
        Set<String> alreadySeen = new HashSet<>();

        for (char ch : input.toCharArray())
        {
            String currentCharAsString = "" + ch;

            if (!alreadySeen.contains(currentCharAsString))
            {
                alreadySeen.add(currentCharAsString);
                result.add(currentCharAsString);
            }
        }
        return result;
    }
}
