package ch10_fileio.intro;

import java.io.File;
import java.io.IOException;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class DirectoryContentsExample
{
    public static void main(String[] args) throws IOException
    {
        File currentDir = new File("."); // current directory

        File[] files = currentDir.listFiles();
        for (File file : files)
        {
            if (file.isDirectory())
            {
                System.out.print("directory: ");
            }
            else
            {
                System.out.print("     file: ");
            }
            System.out.println(file.getCanonicalPath());
        }
    }
}