package ch02_quickstart;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class MethodsExample
{
    public static void main(String[] args)
    {
        System.out.println(minOf3(1, 2, 3));
        System.out.println(minOf3(11, 2, 3));
        System.out.println(minOf3(11, 22, 3));

        System.out.println(minOf3Shorter(1, 2, 3));
        System.out.println(minOf3Shorter(11, 2, 3));
        System.out.println(minOf3Shorter(11, 22, 3));
    }

    static int minOf3(int x, int y, int z)
    {
        if (x < y)
        {
            if (x < z)
                return x;
            else
                return z;
        }
        else
        {
            if (y < z)
                return y;
            else
                return z;
        }
    }
    static int minOf3Shorter(int x, int y, int z)
    {
        return Math.min(x,  Math.min(y, z));
    }
}