package ch03_strings.solutions;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class Ex04_VowelsRemove
{
    public static void main(String[] args)
    {
        System.out.println(removeVowels("Herzlich willkommen zur Battle-Session"));
        System.out.println(removeVowels("Reiseführer"));
        System.out.println(removeVowels("Rasenmäher"));
        System.out.println(removeVowels("Tischtennis"));
        System.out.println(removeVowels("Ratespiel"));
        
        System.out.println(replaceVowels("Herzlich willkommen zur Battle-Session"));
        System.out.println(replaceVowels("Reiseführer"));
        System.out.println(replaceVowels("Rasenmäher"));
        System.out.println(replaceVowels("Tischtennis"));
        System.out.println(replaceVowels("Ratespiel"));
    }

    static String removeVowels(String input)
    {
        String inputUpper = input.toUpperCase();

        String result = "";
        for (int i = 0; i < inputUpper.length(); i++)
        {
            char currentChar = inputUpper.charAt(i);
            if (!"AEIOUÄÖÜ".contains("" + currentChar))
            {
                result += currentChar;
            }
        }
        return result;
    }
    
    static String replaceVowels(String input)
    {
        String inputUpper = input.toUpperCase();

        String result = "";
        for (int i = 0; i < inputUpper.length(); i++)
        {
            char current = inputUpper.charAt(i);
            if (isVowel(current))
            {
                result += '_';
            }
            else
            {
                result += current;
            }
        }
        return result;
    }

    private static boolean isVowel(char current)
    {
        return "AEIOU".contains("" + current);
    }
}
