package ch04_arrays;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class TwoDimArrayExample
{
    public static void main(final String[] args)
    {
        final char[][] world = { "################".toCharArray(), 
                                 "##  P         ##".toCharArray(),
                                 "####   $ X  ####".toCharArray(), 
                                 "###### $  ######".toCharArray(),
                                 "################".toCharArray() };
        printArray(world);
    }

    public static void printArray(final char[][] values)
    {
        for (int y = 0; y < values.length; y++)
        {
            for (int x = 0; x < values[y].length; x++)
                System.out.print(getAt(values, x, y) + " ");

            System.out.println();
        }
    }

    private static char getAt(char[][] values, int x, int y)
    {
        return values[y][x];
    }
}
