package ch04_arrays.solutions;

/**
 * Beispielprogramm für den HAPAG-LLOYD-Workshop und das Buch "Einfach Java"
 *
 * @author Michael Inden
 *
 * Copyright 2021 by Michael Inden
 */
public class Ex04_Printr2dArray
{
    public static void main(String[] args)
    {
        String[][] sampleValues = { { "ONE" },
                                    { "TWO", "TWO" },
                                    { "THREE", "THREE", "THREE" } };
                                    
        print2dStringArray(sampleValues);
    }

    static void print2dStringArray(String[][] values)
    {
        for (int y = 0; y < values.length; y++)
        {
            System.out.print("Line " + y + ": ");
            for (int x = 0; x < values[y].length; x++)
            {
                System.out.print(values[y][x] + " ");
            }
            System.out.println();
        }
    }
}
