package ch07_misc;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class ScopeExample
{
    int x;
    String info;
    
    public ScopeExample(int x, String info)
    {
        this.x = x;
        this.info = info;
    }
    
    public static void main(String[] args)
    {
        System.out.println("Scope Example");
        
        System.out.println("variable result is not visible before it's declaration");
    
        int result = 42;
        
        System.out.println("variable result is now visible with value: " + result);
        
        if (result == 42)
        {
            System.out.println("variable result is still visible with value: " + result);
            
            // Duplicate local variable result
            //int result = 47;
        }
        
        int first = 1;
        {
            // NOCH NICHT SICHTBAR
            // System.out.println(second);
            int second = 22;
            System.out.println(first);
            System.out.println(second);
        
            {
                int third = 333;
                System.out.println("Nur im Block sichtbar: " + third);
            }
            
            // NICHT MEHR SICHTBAR: third cannot be resolved to a variable
            // System.out.println(third);
        }
        // NICHT MEHR SICHTBAR: second cannot be resolved to a variable
        // System.out.println(second);
    }
    
    int doSomething(String info)
    {
        int length = info.length();
        
        return length;
    }
}
