package ch07_misc.solutions;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class Ex04_PalidromeCheck
{
    public static void main(String[] args)
    {
        System.out.println(isPalindromeRec("Otto"));
        System.out.println(isPalindromeRec("KIEL"));
        System.out.println(isPalindromeRec("DrehMalAmHerd"));
    }

    static boolean isPalindromeRec(String input)
    {
        if (input.length() <= 1)
            return true;

        int endPos = input.length() - 1;
        String lowerInput = input.toLowerCase();
        if (lowerInput.charAt(0) == lowerInput.charAt(endPos))
            return isPalindromeRec(lowerInput.substring(1, endPos));

        return false;
    }
}
