package ch09_lambdas_streams.intro;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public record Person(String name, int age, String city, Gender gender)
{
    Person(String name, int age, String city)
    {
        this(name, age, city, Gender.MALE);
    }

    boolean isAdult()
    {
        return age() >= 18;
    }

    boolean livesIn(String city)
    {        
        return this.city.equals(city);
    }
}
