package ch09_lambdas_streams.intro;

import java.util.stream.Stream;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class TakeDropWhileExample
{
    public static void main(String[] args)
    {
        var words = Stream.of("ab", "bla", "<START>", 
                              "Text", "zwischen", "Start- ", "und", "Ende-Begrenzern", 
                              "<END>", "saas", "bla");

        var extracted = words.dropWhile(word -> !word.equals("<START>")).skip(1)
                        .takeWhile(word -> !word.equals("<END>"));

        extracted.forEach(System.out::println);
    }
}
