package ch10_fileio.intro;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.StandardOpenOption;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class WriteStringPitfall
{
    public static void main(String[] args) throws IOException
    {
        Path personenListe = Path.of("personenListe.txt");
        
        Files.writeString(personenListe, "PERSONEN");
        Files.writeString(personenListe, "Person1: Michael", StandardOpenOption.APPEND);
        Files.writeString(personenListe, "Person2: Peter", StandardOpenOption.APPEND);
        
        String content = Files.readString(personenListe);
        System.out.println(content);
    }

}
