package ch11_exceptions;

import java.util.List;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class MultipleExceptions
{
    public static void main(String[] args)
    {
        var names = List.of("Tim", "Tom", "Mike");

        for (int i = 0; i < 5; i++)
        {
            try
            {
                 int value = Integer.valueOf(names.get(i));
            }
            catch (NumberFormatException | ArithmeticException ex)
            {
               System.out.println("can't parse to integer");
            }
            catch (ArrayIndexOutOfBoundsException aioobe)
            {
                System.out.println("wrong index");
            }
        }
    }
}
