package ch12_date_and_time;

import java.time.Duration;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class DurationExample
{
    public static void main(final String[] args)
    {
        // Erzeugung mit ofXyz()-Methoden
        final Duration durationFromNanos = Duration.ofNanos(3);
        final Duration durationFromMillis = Duration.ofMillis(7);
        final Duration durationFromSeconds = Duration.ofSeconds(15);
        final Duration durationFromMinutes = Duration.ofMinutes(30);
        final Duration durationFromHours = Duration.ofHours(45);
        final Duration durationFromDays = Duration.ofDays(60);

        System.out.println("From Nanos:   " + durationFromNanos);
        System.out.println("From Millis:  " + durationFromMillis);
        System.out.println("From Seconds: " + durationFromSeconds);
        System.out.println("From Minutes: " + durationFromMinutes);
        System.out.println("From Hours:   " + durationFromHours);
        System.out.println("From Days:    " + durationFromDays);
    }
}
