package ch15_wordraetsel;

import java.io.IOException;
import java.util.List;

/**
 * Beispielprogramm für das Buch "Einfach Java"
 *
 * (C) 2021 Michael Inden
 */
public class WordViewApplication  
{
    public static void main(String[] args) throws IOException
    {
        final List<String> wordsToUse = WordImporter.importWords();
        final Model model = new Model(wordsToUse, 10);
        
        final View view = new View(model);
        view.displayOnConsole();        
        view.displayInBrowser();
    }
}
